Update VAT settings for an organization
PUT
/
organizations
/
{organizationId}
/
vatsettings
Update VAT settings for an organization
curl --request PUT \
--url https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/vatsettings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"vatMode": "MULTI_VAT",
"vatSettings": [
{
"taxRateId": "ff8080819c5664d9019c56706bc30008",
"rate": 25,
"salaryCodeId": "ff8080819c5664d9019c56706bc3000a",
"companyTaxRateId": null,
"accountingNumberId": null
},
{
"taxRateId": "ff8080819c5664d9019c56706bc3000c",
"rate": 12,
"companyTaxRateId": null,
"salaryCodeId": "ff8080819c5664d9019c56706bc3000a",
"accountingNumberId": "ff8080819c5664d9019c56706bc3000b"
}
]
}
'import requests
url = "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/vatsettings"
payload = {
"vatMode": "MULTI_VAT",
"vatSettings": [
{
"taxRateId": "ff8080819c5664d9019c56706bc30008",
"rate": 25,
"salaryCodeId": "ff8080819c5664d9019c56706bc3000a",
"companyTaxRateId": None,
"accountingNumberId": None
},
{
"taxRateId": "ff8080819c5664d9019c56706bc3000c",
"rate": 12,
"companyTaxRateId": None,
"salaryCodeId": "ff8080819c5664d9019c56706bc3000a",
"accountingNumberId": "ff8080819c5664d9019c56706bc3000b"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
vatMode: 'MULTI_VAT',
vatSettings: [
{
taxRateId: 'ff8080819c5664d9019c56706bc30008',
rate: 25,
salaryCodeId: 'ff8080819c5664d9019c56706bc3000a',
companyTaxRateId: null,
accountingNumberId: null
},
{
taxRateId: 'ff8080819c5664d9019c56706bc3000c',
rate: 12,
companyTaxRateId: null,
salaryCodeId: 'ff8080819c5664d9019c56706bc3000a',
accountingNumberId: 'ff8080819c5664d9019c56706bc3000b'
}
]
})
};
fetch('https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/vatsettings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/vatsettings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'vatMode' => 'MULTI_VAT',
'vatSettings' => [
[
'taxRateId' => 'ff8080819c5664d9019c56706bc30008',
'rate' => 25,
'salaryCodeId' => 'ff8080819c5664d9019c56706bc3000a',
'companyTaxRateId' => null,
'accountingNumberId' => null
],
[
'taxRateId' => 'ff8080819c5664d9019c56706bc3000c',
'rate' => 12,
'companyTaxRateId' => null,
'salaryCodeId' => 'ff8080819c5664d9019c56706bc3000a',
'accountingNumberId' => 'ff8080819c5664d9019c56706bc3000b'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/vatsettings"
payload := strings.NewReader("{\n \"vatMode\": \"MULTI_VAT\",\n \"vatSettings\": [\n {\n \"taxRateId\": \"ff8080819c5664d9019c56706bc30008\",\n \"rate\": 25,\n \"salaryCodeId\": \"ff8080819c5664d9019c56706bc3000a\",\n \"companyTaxRateId\": null,\n \"accountingNumberId\": null\n },\n {\n \"taxRateId\": \"ff8080819c5664d9019c56706bc3000c\",\n \"rate\": 12,\n \"companyTaxRateId\": null,\n \"salaryCodeId\": \"ff8080819c5664d9019c56706bc3000a\",\n \"accountingNumberId\": \"ff8080819c5664d9019c56706bc3000b\"\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/vatsettings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"vatMode\": \"MULTI_VAT\",\n \"vatSettings\": [\n {\n \"taxRateId\": \"ff8080819c5664d9019c56706bc30008\",\n \"rate\": 25,\n \"salaryCodeId\": \"ff8080819c5664d9019c56706bc3000a\",\n \"companyTaxRateId\": null,\n \"accountingNumberId\": null\n },\n {\n \"taxRateId\": \"ff8080819c5664d9019c56706bc3000c\",\n \"rate\": 12,\n \"companyTaxRateId\": null,\n \"salaryCodeId\": \"ff8080819c5664d9019c56706bc3000a\",\n \"accountingNumberId\": \"ff8080819c5664d9019c56706bc3000b\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/vatsettings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"vatMode\": \"MULTI_VAT\",\n \"vatSettings\": [\n {\n \"taxRateId\": \"ff8080819c5664d9019c56706bc30008\",\n \"rate\": 25,\n \"salaryCodeId\": \"ff8080819c5664d9019c56706bc3000a\",\n \"companyTaxRateId\": null,\n \"accountingNumberId\": null\n },\n {\n \"taxRateId\": \"ff8080819c5664d9019c56706bc3000c\",\n \"rate\": 12,\n \"companyTaxRateId\": null,\n \"salaryCodeId\": \"ff8080819c5664d9019c56706bc3000a\",\n \"accountingNumberId\": \"ff8080819c5664d9019c56706bc3000b\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"vatMode": "MULTI_VAT",
"vatSettings": [
{
"taxRateId": "ff8080819c5664d9019c56706bc30008",
"rate": 25,
"companyTaxRateId": "ff8080819c5664d9019c56706bc30009",
"salaryCodeId": "ff8080819c5664d9019c56706bc3000a",
"accountingNumberId": null
},
{
"taxRateId": "ff8080819c5664d9019c56706bc3000c",
"rate": 12,
"companyTaxRateId": "ff8080819c5664d9019c56706bc3000d",
"salaryCodeId": "ff8080819c5664d9019c56706bc3000a",
"accountingNumberId": "ff8080819c5664d9019c56706bc3000b"
}
]
}{
"result": "<string>",
"code": "<string>",
"description": "<string>"
}{
"result": "error",
"code": "ORGANIZATION_NOT_FOUND",
"description": "Failed to get organization for id: {orgId}"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The organization ID
Body
application/json
VAT mode for the organization
Available options:
SINGLE_VAT, MULTI_VAT, NO_VAT Array of VAT rate mappings to salary codes and accounting numbers
Hide child attributes
Hide child attributes
ID of the VAT rate
VAT rate percentage
ID of existing company VAT rate mapping (for updates)
ID of the salary code to map to this VAT rate
ID of the accounting number to map to this VAT rate
Response
OK
VAT mode that was set
Available options:
SINGLE_VAT, MULTI_VAT, NO_VAT Array of VAT rate mappings that were created/updated
Hide child attributes
Hide child attributes
ID of the VAT rate
VAT rate percentage
ID of the company VAT rate mapping (null if not yet mapped)
ID of the salary code (null if not yet mapped)
ID of the accounting number (null if not yet mapped)
Last modified on August 31, 2026
⌘I
Update VAT settings for an organization
curl --request PUT \
--url https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/vatsettings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"vatMode": "MULTI_VAT",
"vatSettings": [
{
"taxRateId": "ff8080819c5664d9019c56706bc30008",
"rate": 25,
"salaryCodeId": "ff8080819c5664d9019c56706bc3000a",
"companyTaxRateId": null,
"accountingNumberId": null
},
{
"taxRateId": "ff8080819c5664d9019c56706bc3000c",
"rate": 12,
"companyTaxRateId": null,
"salaryCodeId": "ff8080819c5664d9019c56706bc3000a",
"accountingNumberId": "ff8080819c5664d9019c56706bc3000b"
}
]
}
'import requests
url = "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/vatsettings"
payload = {
"vatMode": "MULTI_VAT",
"vatSettings": [
{
"taxRateId": "ff8080819c5664d9019c56706bc30008",
"rate": 25,
"salaryCodeId": "ff8080819c5664d9019c56706bc3000a",
"companyTaxRateId": None,
"accountingNumberId": None
},
{
"taxRateId": "ff8080819c5664d9019c56706bc3000c",
"rate": 12,
"companyTaxRateId": None,
"salaryCodeId": "ff8080819c5664d9019c56706bc3000a",
"accountingNumberId": "ff8080819c5664d9019c56706bc3000b"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
vatMode: 'MULTI_VAT',
vatSettings: [
{
taxRateId: 'ff8080819c5664d9019c56706bc30008',
rate: 25,
salaryCodeId: 'ff8080819c5664d9019c56706bc3000a',
companyTaxRateId: null,
accountingNumberId: null
},
{
taxRateId: 'ff8080819c5664d9019c56706bc3000c',
rate: 12,
companyTaxRateId: null,
salaryCodeId: 'ff8080819c5664d9019c56706bc3000a',
accountingNumberId: 'ff8080819c5664d9019c56706bc3000b'
}
]
})
};
fetch('https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/vatsettings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/vatsettings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'vatMode' => 'MULTI_VAT',
'vatSettings' => [
[
'taxRateId' => 'ff8080819c5664d9019c56706bc30008',
'rate' => 25,
'salaryCodeId' => 'ff8080819c5664d9019c56706bc3000a',
'companyTaxRateId' => null,
'accountingNumberId' => null
],
[
'taxRateId' => 'ff8080819c5664d9019c56706bc3000c',
'rate' => 12,
'companyTaxRateId' => null,
'salaryCodeId' => 'ff8080819c5664d9019c56706bc3000a',
'accountingNumberId' => 'ff8080819c5664d9019c56706bc3000b'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/vatsettings"
payload := strings.NewReader("{\n \"vatMode\": \"MULTI_VAT\",\n \"vatSettings\": [\n {\n \"taxRateId\": \"ff8080819c5664d9019c56706bc30008\",\n \"rate\": 25,\n \"salaryCodeId\": \"ff8080819c5664d9019c56706bc3000a\",\n \"companyTaxRateId\": null,\n \"accountingNumberId\": null\n },\n {\n \"taxRateId\": \"ff8080819c5664d9019c56706bc3000c\",\n \"rate\": 12,\n \"companyTaxRateId\": null,\n \"salaryCodeId\": \"ff8080819c5664d9019c56706bc3000a\",\n \"accountingNumberId\": \"ff8080819c5664d9019c56706bc3000b\"\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/vatsettings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"vatMode\": \"MULTI_VAT\",\n \"vatSettings\": [\n {\n \"taxRateId\": \"ff8080819c5664d9019c56706bc30008\",\n \"rate\": 25,\n \"salaryCodeId\": \"ff8080819c5664d9019c56706bc3000a\",\n \"companyTaxRateId\": null,\n \"accountingNumberId\": null\n },\n {\n \"taxRateId\": \"ff8080819c5664d9019c56706bc3000c\",\n \"rate\": 12,\n \"companyTaxRateId\": null,\n \"salaryCodeId\": \"ff8080819c5664d9019c56706bc3000a\",\n \"accountingNumberId\": \"ff8080819c5664d9019c56706bc3000b\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/vatsettings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"vatMode\": \"MULTI_VAT\",\n \"vatSettings\": [\n {\n \"taxRateId\": \"ff8080819c5664d9019c56706bc30008\",\n \"rate\": 25,\n \"salaryCodeId\": \"ff8080819c5664d9019c56706bc3000a\",\n \"companyTaxRateId\": null,\n \"accountingNumberId\": null\n },\n {\n \"taxRateId\": \"ff8080819c5664d9019c56706bc3000c\",\n \"rate\": 12,\n \"companyTaxRateId\": null,\n \"salaryCodeId\": \"ff8080819c5664d9019c56706bc3000a\",\n \"accountingNumberId\": \"ff8080819c5664d9019c56706bc3000b\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"vatMode": "MULTI_VAT",
"vatSettings": [
{
"taxRateId": "ff8080819c5664d9019c56706bc30008",
"rate": 25,
"companyTaxRateId": "ff8080819c5664d9019c56706bc30009",
"salaryCodeId": "ff8080819c5664d9019c56706bc3000a",
"accountingNumberId": null
},
{
"taxRateId": "ff8080819c5664d9019c56706bc3000c",
"rate": 12,
"companyTaxRateId": "ff8080819c5664d9019c56706bc3000d",
"salaryCodeId": "ff8080819c5664d9019c56706bc3000a",
"accountingNumberId": "ff8080819c5664d9019c56706bc3000b"
}
]
}{
"result": "<string>",
"code": "<string>",
"description": "<string>"
}{
"result": "error",
"code": "ORGANIZATION_NOT_FOUND",
"description": "Failed to get organization for id: {orgId}"
}
